[[#*inline "spinTemplate"]]
<div data-flex-layout="row center-center">
<div data-flex-self="size-x1" style="overflow: hidden;">
<mp-query-catalog-template iri="{{iri.value}}">
<div style="padding: 1rem 1rem">
<div style="display:inline; float:left;">
<mp-label highlight="{{highlight}}" highlight-props='{"style": {"color": "#dc8a4b"}}' iri="{{iri.value}}">
</mp-label>
     -
    </div>
<semantic-query query="SELECT ?desc WHERE { <{{iri.value}}>  rdfs:comment ?desc }" template="{{>  description }}">
<template id="description">
<mp-highlight highlight="{{highlight}}">
       {{bindings.0.desc.value}}
      </mp-highlight>
</template>
</semantic-query>
</div>
<semantic-query query="SELECT DISTINCT ?subject WHERE { <{{iri.value}}>  <http://purl.org/dc/terms/subject> /rdfs:label ?subject }" style="margin-top:5px;" template="{{>  categories}}">
<template id="categories">
<div style="padding: 0 1rem">
      {{#each bindings}}
      <span class="query_category">
       {{subject.value}}
      </span>
      {{/each}}
     </div>
</template>
</semantic-query>
</mp-query-catalog-template>
</div>
<mp-anonymous-hidden>
<div class="set-management__item-actions" style="margin-left: auto;">
<bs-dropdown-button bs-style="link" id="set-item-actions-{{iri.value}}" pull-right="true" title="">
    [[>  @partial-block ]]
    <mp-copy-to-clipboard message="Query Template link has been copied to clipboard." text="{{iri.value}}">
<bs-menu-item event-key="copy">
<span style="height:20px;">
       [[i18n "copy_query" bundle="languages/resource_sparql" locale=this.lang]]
      </span>
</bs-menu-item>
</mp-copy-to-clipboard>
</bs-dropdown-button>
</div>
</mp-anonymous-hidden>
</div>
[[/inline]]
<div class="rs-sparqlPage">
<mp-sparql-query-editor-context>
<mp-splitpane default-open="false" default-size="360" dock="true" fixed-key="querycatalog-sidebar" min-size="42" nav-height="0" persist-resize="true" snap-threshold="165">
<div class="sparqlSidebar" data-flex-layout="column top-stretch">
<mp-splitpane-toggle-on>
<button class="rs-button rs-drawer-transparent" style="border: none; outline: none; width: 100%; position:absolute; top:40%; left: -53px;">
      [[i18n "query_catalog" bundle="languages/resource_sparql" locale=this.lang]]
     </button>
</mp-splitpane-toggle-on>
<mp-splitpane-toggle-off>
<button class="sparqlSidebar-header" data-flex-layout="row center-left">
<h1>
       [[i18n "query_catalog" bundle="languages/resource_sparql" locale=this.lang]]
      </h1>
<div aria-hidden="true" class="fa fa-angle-left">
</div>
</button>
</mp-splitpane-toggle-off>
<mp-splitpane-sidebar-open class="open-sidebar">
<bs-tabs class="open-sidebar__tabs" default-active-key='[[#if (urlParam "tab")]] [[urlParam "tab"]][[else]]3[[/if]]' id="queries">
<bs-tab event-key="1" title="[[i18n 'all_queries' bundle='languages/resource_sparql' locale=this.lang]]">
<semantic-context repository="assets">
<mp-set-management accept-resource-query="ASK { FILTER(false) }" default-set-iri="http://www.researchspace.org/resource/system/queryTemplateContainer" filters='[{
                        "placeholder": "Filter by category",
                        "queryPattern": "?item <http://purl.org/dc/terms/subject>  ?__value__",
                        "suggestionsQuery": "
                          PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#> 
                          PREFIX skos: <http://www.w3.org/2004/02/skos/core#> 
                          SELECT DISTINCT ?value ?label WHERE {
                            ?value a skos:Concept ;
                              rdfs:label ?label .
                            FILTER(REGEX(STR(?label), $__token__, \"i\")) .
                          } LIMIT 100"
                      }]' item-config='{
                        "<http://www.w3.org/2004/02/skos/core#Concept>": {
                          "isSet": true,
                          "listTemplate": "<mp-label iri={{iri.value}}> </mp-label>"
                        },
                        "<http://spinrdf.org/spin#Template>": {
                          "isSet": false,
                          "listTemplate": "{{>  globalSpinTemplate}}"
                        }
                      }' keyword-filter='{
                                        "placeholder": "Search for queries ...",
                                        "placeholderInSet": "Search for queries ...",
                                        "queryPattern": "
                                          ?item rdfs:label|rdfs:comment|(<http://purl.org/dc/terms/subject> /rdfs:label) ?itemLabel .
                                          FILTER REGEX(STR(?itemLabel), \"(.*?)?__token__\", \"i\")"
                                      }' root-set-iri="http://www.researchspace.org/resource/system/queryTemplateContainer" set-count-query="
                        PREFIX ldp: <http://www.w3.org/ns/ldp#> 
                        SELECT ?set (COUNT(?item) as ?count) WHERE {
                          ?__rootSet__ ldp:contains ?item .
                          ?item <http://purl.org/dc/terms/subject>  ?set .
                        } GROUP BY ?set
                      " set-items-query="
                          PREFIX ldp: <http://www.w3.org/ns/ldp#> 
                          PREFIX prov: <http://www.w3.org/ns/prov#> 
                          SELECT ?item ?itemHolder ?parent ?modificationDate ?kind WHERE {
                            {
                              FILTER(?__isSearch__) .
                              ?__rootSet__ ldp:contains ?item .
                              BIND(?item as ?itemHolder)
                              BIND(?__rootSet__ as ?parent)
                              FILTER(?__filterPatterns__)
                            } UNION {
                              FILTER(!(?__isSearch__)) .
                              {
                                ?__rootSet__ ldp:contains ?itemHolder .
                                OPTIONAL {
                                  ?itemHolder <http://purl.org/dc/terms/subject>  ?category .
                                }
                              } UNION {
                                ?itemHolder <http://purl.org/dc/terms/subject>  ?__rootSet__ .
                              }
                              BIND(COALESCE(?category, ?itemHolder) AS ?item)
                              BIND(?__rootSet__ as ?parent)
                              OPTIONAL {
                                ?item a skos:Concept .
                                BIND(skos:Concept as ?type)
                              }
                            }
                            FILTER EXISTS {?itemHolder prov:wasAttributedTo <http://www.researchspace.org/resource/user/querycatalog> }
                            BIND(COALESCE(?type, <http://spinrdf.org/spin#Template> ) AS ?kind) .
                          }" style="flex: auto">
<template id="globalSpinTemplate">
          [[#>  spinTemplate ]][[/spinTemplate]]
         </template>
</mp-set-management>
</semantic-context>
</bs-tab>
<bs-tab event-key="2" title="[[i18n 'my_queries' bundle='languages/resource_sparql' locale=this.lang]]">
<semantic-context repository="assets">
<mp-set-management accept-resource-query="ASK { FILTER(false) }" default-set-iri="http://www.researchspace.org/resource/system/queryTemplateContainer" filters='[{
                        "placeholder": "Filter by category",
                        "queryPattern": "?item <http://purl.org/dc/terms/subject>  ?__value__",
                        "suggestionsQuery": "
                          PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#> 
                          PREFIX skos: <http://www.w3.org/2004/02/skos/core#> 
                          SELECT DISTINCT ?value ?label WHERE {
                            ?value a skos:Concept ;
                              rdfs:label ?label .
                            FILTER(REGEX(STR(?label), $__token__, \"i\")) .
                          } LIMIT 100"
                      }]' item-config='{
                        "<http://www.w3.org/2004/02/skos/core#Concept>": {
                          "isSet": true,
                          "listTemplate": "<mp-label iri={{iri.value}}> </mp-label>"
                        },
                        "<http://spinrdf.org/spin#Template>": {
                          "isSet": false,
                          "listTemplate": "{{>  spinTemplate }}"
                        }
                      }' keyword-filter='{
                                        "placeholder": "Search for queries ...",
                                        "placeholderInSet": "Search for queries ...",
                                        "queryPattern": "
                                          ?item rdfs:label|rdfs:comment|(<http://purl.org/dc/terms/subject> /rdfs:label) ?itemLabel .
                                          FILTER REGEX(STR(?itemLabel), \"(.*?)?__token__\", \"i\")"
                                      }' root-set-iri="http://www.researchspace.org/resource/system/queryTemplateContainer" set-count-query="
                        PREFIX ldp: <http://www.w3.org/ns/ldp#> 
                        SELECT ?set (COUNT(?item) as ?count) WHERE {
                          ?__rootSet__ ldp:contains ?item .
                          ?item <http://purl.org/dc/terms/subject>  ?set .
                        } GROUP BY ?set
                      " set-items-query="
                          PREFIX ldp: <http://www.w3.org/ns/ldp#> 
                          PREFIX prov: <http://www.w3.org/ns/prov#> 
                          SELECT ?item ?itemHolder ?parent ?modificationDate ?kind WHERE {
                            {
                              FILTER(?__isSearch__) .
                              ?__rootSet__ ldp:contains ?item .
                              BIND(?item as ?itemHolder)
                              BIND(?__rootSet__ as ?parent)
                              FILTER(?__filterPatterns__)
                            } UNION {
                              FILTER(!(?__isSearch__)) .
                              {
                                ?__rootSet__ ldp:contains ?itemHolder .
                                OPTIONAL {
                                  ?itemHolder <http://purl.org/dc/terms/subject>  ?category .
                                }
                              } UNION {
                                ?itemHolder <http://purl.org/dc/terms/subject>  ?__rootSet__ .
                              }
                              BIND(COALESCE(?category, ?itemHolder) AS ?item)
                              BIND(?__rootSet__ as ?parent)
                              OPTIONAL {
                                ?item a skos:Concept .
                                BIND(skos:Concept as ?type)
                              }
                            }
                            FILTER EXISTS {?itemHolder prov:wasAttributedTo ?__useruri__}
                            BIND(COALESCE(?type, <http://spinrdf.org/spin#Template> ) AS ?kind) .
                          }" style="flex: auto">
<template id="spinTemplate">
          [[#>  spinTemplate ]]
          <mp-ldp-remove-from-container-action container="http://www.researchspace.org/resource/system/queryTemplateContainer" iri="{{iri.value}}">
<bs-menu-item event-key="remove">
<span style="height:20px;">
             [[i18n "remove" bundle="languages/resource_sparql" locale=this.lang]]
            </span>
</bs-menu-item>
</mp-ldp-remove-from-container-action>
<bs-menu-item event-key="edit">
<mp-overlay-dialog bs-size="large" title="[[i18n 'edit_query' bundle='languages/resource_sparql' locale=this.lang]]" type="modal">
<mp-overlay-dialog-trigger>
<span style="display: block;height:20px;">
              [[i18n "edit" bundle="languages/resource_sparql" locale=this.lang]]
             </span>
</mp-overlay-dialog-trigger>
<mp-overlay-dialog-content>
<div>
<semantic-context repository="assets">
<mp-spin-query-template-editor iri="{{iri.value}}">
</mp-spin-query-template-editor>
</semantic-context>
</div>
</mp-overlay-dialog-content>
</mp-overlay-dialog>
</bs-menu-item>
          [[/spinTemplate]]
         </template>
</mp-set-management>
</semantic-context>
</bs-tab>
<bs-tab event-key="3" title="[[i18n 'recent_queries' bundle='languages/resource_sparql' locale=this.lang]]">
<mp-recent-queries>
</mp-recent-queries>
</bs-tab>
</bs-tabs>
</mp-splitpane-sidebar-open>
</div>
<div>
<h2>
     [[i18n "query_the" bundle="languages/resource_sparql" locale=this.lang]]
     <a href="https://portal.lincsproject.ca/docs/get-started/linked-open-data-basics/concepts-sparql" >
      [[i18n "sparql" bundle="languages/resource_sparql" locale=this.lang]]
     </a>
</h2>
<semantic-context repository="default">
<mp-sparql-query-editor query="SELECT * WHERE {?a ?b ?c} LIMIT 10">
</mp-sparql-query-editor>
</semantic-context>
</div>
</mp-splitpane>
</mp-sparql-query-editor-context>
</div>
